using BingoBrain.Core;

namespace BingoBrain
{
    public class ReadyBingoyUI : BaseUI
    {
        private ReadyBingoyUICtrl ctrl;
        private ReadyBingoyModel model;
        private FGUI.ABigImg.com_loading_bg ui;

        public ReadyBingoyUI(ReadyBingoyUICtrl ctrl) : base(ctrl)
        {
            uiName = UIConst.ReadyBingoyUI;
            this.ctrl = ctrl;
        }

        protected override void SetUIInfo(UIInfo uiInfo)
        {
            uiInfo.packageName = "ABigImg";
            uiInfo.assetName = "com_loading_bg";
            uiInfo.layerType = UILayerType.Normal;
            uiInfo.isNeedOpenAnim = false;
            uiInfo.isNeedCloseAnim = true;
            uiInfo.isNeedUIMask = true;
        }

        #region 生命周期

        protected override void OnInit()
        {
        }

        protected override void OnClose()
        {
            ui?.FadeOut();
        }

        protected override void OnBind()
        {
            ui = baseUI as FGUI.ABigImg.com_loading_bg;
        }

        protected override void OnOpenBefore(object args)
        {

            InitView();
        }

        protected override void OnOpen(object args)
        {
        }

        #endregion

        #region 消息

        protected override void AddListener()
        {
        }

        protected override void RemoveListener()
        {
        }

        #endregion

        private void InitView()
        {
        }
    }
}